
Showroom Mobile Banking - Bug #13833

IB - ACL Role and Functions list handler

23 June 2022 02:22 PM - chok yee fan

Status: Closed Start date: 23 June 2022

Priority: Normal Due date:  

Assignee: Hoo Dextor % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Phase: R1 Branch Code: showroom-proj-base-i5

Description

Create a method to handle menu, buttons, router

History

#1 - 30 June 2022 01:50 PM - chok yee fan

- Status changed from New to Resolved

- Assignee changed from chok yee fan to Hoo Dextor

Revision: 217776

Author: chokyf

Date: Thursday, June 30, 2022 11:51:22 AM

Message:

chok: added ngx permission

----

Modified : /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/app.init.ts

Modified : /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/app.module.ts

Modified :

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/layout/ant-design-side-layout/ant-de

sign-side-layout-routing.module.ts

Modified :

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/login-ant-design/login-ant-design.co

mponent.ts

Modified :

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/shared/sl-ant-side-layout/sl-ant-men

u-list-item/sl-ant-menu-item.component.html

Modified :

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/shared/sl-ant-side-layout/sl-ant-side

-layout.model.ts

Modified :

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/shared/sl-auth/sl-auth.service.ts

Added : /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/shared/sl-permission

Added :

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/shared/sl-permission/sl-permission.

constants.ts

Added :

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/shared/sl-permission/sl-permission.

service.ts

Modified :

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/shared/sr-web-shared.module.ts

Modified :

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/shared/sr-web.constants.ts

Modified :

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/transaction-history/transaction-histor

y.html

Modified :

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/transaction-history/transaction-histor

y.ts

Added : /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/assets/data/getUserFunc.json

Modified : /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/assets/data/leftMenu.json

Modified : /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/package.json
#2 - 13 July 2022 02:36 PM - Wee Meng Soh

- Status changed from Resolved to Pending SIT 

#3 - 13 July 2022 03:45 PM - chok yee fan

- Status changed from Pending SIT  to Closed

Powered by TCPDF (www.tcpdf.org)

22 April 2025 2/2

http://www.tcpdf.org

